{
    "name": "fbkl/phlox",
    "description": "OAuth2 connect library",
    "type": "library",
    "license": "MIT",
    "homepage": "https://fabrika-klientov.com",
    "authors": [
        {
            "name": "Andrew",
            "email": "3oosor@gmail.com",
            "homepage": "https://github.com/oosor",
            "role": "Developer"
        }
    ],
    "require": {
        "php": ">=7.2",
        "illuminate/support": ">=6.0",
        "guzzlehttp/guzzle": "^6.3",
        "ext-json": "*"
    },
    "require-dev": {
        "phpunit/phpunit": "^8",
        "phpstan/phpstan": "^0.12",
        "phpstan/phpstan-strict-rules": "^0.12",
        "phpstan/phpstan-phpunit": "^0.12",
        "sebastian/phpcpd": "^4.1"
    },
    "autoload": {
        "psr-4": {
            "Phlox\\": "src/"
        }
    },
    "autoload-dev": {
        "psr-4": {
            "Tests\\": "tests/"
        }
    },
    "scripts": {
        "test": "@php ./vendor/bin/phpunit --no-coverage",
        "phpstan": "@php ./vendor/bin/phpstan analyze --ansi",
        "phpcpd": "@php ./vendor/bin/phpcpd src/ --min-lines=10"
    }
}
